std::ranges::slide_view::sentinel(3)

NAME
std::ranges::slide_view::sentinel - std::ranges::slide_view::sentinel

Synopsis
   class /*sentinel*/; (since C++23)
                        (exposition only*)
   The return type of slide_view::end when the underlying view is not a common_range.
   The /*sentinel*/ is used only when /*slide-caches-first*/<V> is true.

Member functions
   constructor constructs a sentinel
                 (public member function)

Non-member functions
   operator== compares a sentinel with an iterator returned from slide_view::begin
   (C++23) (function)
   operator- computes the distance between a sentinel and an iterator returned from
   (C++23) slide_view::begin
              (function)

Example
    This section is incomplete
    Reason: no example

References
     * C++23 standard (ISO/IEC 14882:2023):
     * 26.7.29.4 Class slide_view::sentinel [range.slide.sentinel]

See also

Category:
     * Todo no example